### Function

# Fwupd Codec string_append_hex

since: 2.0.0

#### Declaration [src]

    void
    fwupd_codec_string_append_hex (
      GString* str,
      guint idt,
      const gchar* key,
      guint64 value
    )

#### Description [src]

Appends a key and hex integer to a string.

Available since: 2.0.0

#### Parameters

`str`

  Type: `GString`

  A `GString`.

  The data is owned by the caller of the function.

`idt`

  Type: `guint`

  The indent.

`key`

  Type: `const gchar*`

  A string to append.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`value`

  Type: `guint64`

  Guint64